# Generated by Django 3.1.7 on 2021-04-03 18:41

import boards.utils
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('boards', '0003_auto_20210403_1952'),
    ]

    operations = [
        migrations.AlterField(
            model_name='thread',
            name='image',
            field=models.FileField(upload_to=boards.utils.get_thread_image_path),
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('image', models.FileField(upload_to='threads/')),
                ('thread', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='posts', to='boards.board')),
            ],
        ),
    ]
